Update Custom Field

Update a learning custom field, including its available options.

Authentication

Api-Keystring

API key of the organization. Always sent together with the Secret-Access header.

Path parameters

custom_field_idstringRequired
organization_slugstringRequired

Headers

Secret-AccessstringRequired

Request

This endpoint expects an object.
namestringOptional
The name of the custom field.
descriptionstringOptional
A description of the custom field.
maxLengthintegerOptional

Required if customFieldType is TEXT.

optionslist of objectsOptional

Required if customFieldType is LIST. Each item in the list must be a dictionary with a single key-value pair.

isMultiplebooleanOptional

Required if customFieldType is LIST. Indicates if multiple values are allowed.

Response

Custom field updated successfully
originalIdstring
namestring
slugstring
organizationIdinteger
descriptionstringOptional
Description of the custom field.
maxLengthintegerOptional
customFieldTypeobjectOptional

Errors

400
Bad Request Error
422
Unprocessable Entity Error